
require_relative 'strategy'
require_relative 'game'

require 'pp'

#
# For a particular 'r' value, and both players
# playing optimally, what is the value of the game
# to Player 1?
#


strategy = Strategy.new(3.5, 0.5265, 0.9096, 1.0)
pp strategy

outer_count = 45
inner_count = 46
puts "outer_count #{outer_count}, inner_count #{inner_count}"

game = Game.new(strategy)

game_value = game.total_value(outer_count, inner_count)

puts "P1 game value with these strategies"
puts" is #{game_value.round(6)}"
